## mariadb-connector-python 1.1.14

=== docs/requirements.txt ===
sphinx
myst-parser
sphinx-markdown-builder

## mariadb-connector-python 1.1.10

=== debian/changelog ===
mariadb-connector-python (1.1.10-2build1) plucky; urgency=medium

  * SRU: #2083480: No-change rebuild to add support for Python 3.13.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 13 Nov 2024 10:00:01 +0100

mariadb-connector-python (1.1.10-2) unstable; urgency=medium

  [ Mechtilde ]
  * [2875004] Prepared for compiling with python 3.13, too
  * [b96dfd1] Dropped const from the declaration of statement  * [[[insert-git-dch-commit-message-here]]]
  * [abaa2e2] fixed d/watch
  * [b983c5f] Fixed typo in patch name

 -- Mechtilde Stehmann <mechtilde@debian.org>  Fri, 20 Sep 2024 12:48:21 +0200

mariadb-connector-python (1.1.10-1) unstable; urgency=medium

  [ Mechtilde ]
  * [b387555] New upstream version 1.1.10
  * [8881a65] Changed path to mariadb_config
              Gbp-Pq: 01_Changed_path_to_mariadb-config Forwarded: No
  * [8925ff9] Added file: mariadb/release_info.py
  * [70d26a8] Prepared the initial relese for the debian repository
              (Closes: #1070435)

 -- Mechtilde Stehmann <mechtilde@debian.org>  Fri, 17 May 2024 14:40:49 +0200

=== debian/control ===
Source: mariadb-connector-python
Priority: optional
Section: python
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Mechtilde Stehmann <mechtilde@debian.org>
Build-Depends: debhelper-compat (=13)
 , dh-python
 , python3-all
 , python3-setuptools
 , python3-setuptools-scm
 , pybuild-plugin-pyproject
 , libpython3-dev
 , libpython3-all-dev
 , libpython3.13-dev
 , mariadb-server
 , libmariadb-dev
#X-Python3-Version: >=python3.11 python3.12
Standards-Version: 4.7.0
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/python-team/packages/mariadb-connector-python.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/mariadb-connector-python
Homepage: https://mariadb-corporation.github.io/mariadb-connector-python/

Package: python3-mariadb-connector
Architecture: any
Depends: ${misc:Depends}
 , ${python3:Depends}
 , ${shlibs:Depends}
Description: Enables Python programs to access MariaDB and MySQL database
 MariaDB Connector/Python enables Python programs to access MariaDB and
 MySQL databases, using an API which is compliant with the Python DB API 2.0
 (PEP-249). It is written in C and Python and uses MariaDB Connector/C
 client library for client server communication.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.

export DH_VERBOSE=1
export DH_OPTIONS=-v

PYTHON3=$(shell py3versions -r)


%:
	dh $@  --with=python3 --buildsystem=pybuild

override_dh_auto_test:
	echo pass

=== debian/watch ===
version=4
opts=\
repack,compression=xz,\
repacksuffix=,\
dversionmangle=s///,\
uversionmangle=s/-?([^\d.]+)/~$1/;tr/A-Z/a-z/,
https://github.com/mariadb-corporation/mariadb-connector-python/tags .*/archive/refs/tags/v(\d[\d\.]+)\.tar\.gz

## mariadb-connector-python 1.1.11

=== debian/changelog ===
mariadb-connector-python (1.1.11-2build1) plucky; urgency=medium

  * No-change rebuild with Python 3.13 only

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 04 Mar 2025 22:28:45 +0000

mariadb-connector-python (1.1.11-2) unstable; urgency=medium

  * Team upload.
  * Add additional restrictions for the autopkgtests: needs-root &
    isolation-container.

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 25 Nov 2024 19:09:57 +0100

mariadb-connector-python (1.1.11-1) unstable; urgency=medium

  * Team upload.
  * Fix watchfile to detect new versions on github (routine-update)
  * New upstream version
  * Testsuite: autopkgtest-pkg-pybuild (routine-update)
  * Remove trailing whitespace in debian/copyright (routine-update)
  * No tab in license text (routine-update)
  * 03-Dropped-const-from-the-declaration-of-statement.patch: applied
    upstream, dropped
  * 02-Added-file-mariadb-release_info.py.patch: refreshed for the new
    upstream version
  * gbp.conf: document that debian/sid is the default branch
  * Run the tests, also as autopkgtests.
  * d/patches/check_error: fix an error check
  * d/copyright: remove unallowed comment
  * d/upstream/metadata: better links for the bug database and submittal
  * d/control: changes to assist in cross building
  * d/patches/spelling: fix a typo

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 25 Nov 2024 10:04:26 +0100

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,19 @@
 Source: mariadb-connector-python
 Priority: optional
 Section: python
+Testsuite: autopkgtest-pkg-pybuild
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Mechtilde Stehmann <mechtilde@debian.org>
 Build-Depends: debhelper-compat (=13)
  , dh-python
  , python3-all
+ , python3-all-dev:native
+ , libpython3-all-dev
  , python3-setuptools
  , python3-setuptools-scm
  , pybuild-plugin-pyproject
- , libpython3-dev
- , libpython3-all-dev
- , libpython3.13-dev
- , mariadb-server
+ , mariadb-server <!nocheck>
  , libmariadb-dev
-#X-Python3-Version: >=python3.11 python3.12
 Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/python-team/packages/mariadb-connector-python.git
@@ -26,6 +25,7 @@
 Depends: ${misc:Depends}
  , ${python3:Depends}
  , ${shlibs:Depends}
+Suggests: mariadb-server
 Description: Enables Python programs to access MariaDB and MySQL database
  MariaDB Connector/Python enables Python programs to access MariaDB and
  MySQL databases, using an API which is compliant with the Python DB API 2.0

=== debian/watch ===
version=4
opts=\
repack,compression=xz,\
repacksuffix=,\
dversionmangle=s///,\
uversionmangle=s/-?([^\d.]+)/~$1/;tr/A-Z/a-z/,
https://github.com/mariadb-corporation/mariadb-connector-python/tags .*/refs/tags/v(\d[\d\.]+)\.tar\.gz

## mariadb-connector-python 1.1.12

=== debian/changelog ===
mariadb-connector-python (1.1.12-1build1) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 18 Oct 2025 13:27:05 +0000

mariadb-connector-python (1.1.12-1) unstable; urgency=medium

  [ Mechtilde ]
  * [fc3044f] Fixed debian/watch file
  * [a930c76] New upstream version 1.1.12
  * [8e4c89c] Deactivated not applicable patch
  * [d813ae2] Rediff patches
  * [d045526] Use port 10010 for mariadb to run autopkgtest
  * [ca222fa] Bumped years in d/copyright

 -- Mechtilde Stehmann <mechtilde@debian.org>  Sun, 30 Mar 2025 20:39:19 +0200

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.

export DH_VERBOSE=1
export PYBUILD_NAME=mariadb
export MARIADB_DIR=$(CURDIR)/debian/testdb
export MARIADB_UNIX_PORT=$(MARIADB_DIR)/mariadb.sock
export MARIADB_PIDFILE=$(MARIADB_DIR)/mariadb.pid
export MARIADB_USER=$(shell whoami)
export TEST_DB_USER=boby
export TEST_DB_PASSWORD=heyPassword
export TEST_DB_DATABASE=testp
export PYBUILD_BEFORE_TEST={dir}/debian/tests/setup
export PYBUILD_TEST_ARGS=--start-directory=testing
export PYBUILD_AFTER_TEST={dir}/debian/tests/cleanup


%:
	dh $@  --with=python3 --buildsystem=pybuild

## mariadb-connector-python 1.1.13

=== debian/changelog ===
mariadb-connector-python (1.1.13-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Use dh-sequence-python3.
  * Fix name of autopkgtest-pkg-pybuild.conf.
  * Standards-Version: 4.7.2.

 -- Colin Watson <cjwatson@debian.org>  Tue, 09 Sep 2025 10:15:54 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Mechtilde Stehmann <mechtilde@debian.org>
 Build-Depends: debhelper-compat (=13)
- , dh-python
+ , dh-sequence-python3
  , python3-all
  , python3-all-dev:native
  , libpython3-all-dev
@@ -14,7 +14,7 @@
  , pybuild-plugin-pyproject
  , mariadb-server <!nocheck>
  , libmariadb-dev
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/python-team/packages/mariadb-connector-python.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/mariadb-connector-python

=== debian/rules ===
--- 
+++ 
@@ -18,4 +18,4 @@
 
 
 %:
-	dh $@  --with=python3 --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild

=== debian/watch ===
version=4
opts=\
repack,compression=xz,\
dversionmangle=s///,\
uversionmangle=s/-?([^\d.]+)/~$1/;tr/A-Z/a-z/ \
https://github.com/mariadb-corporation/mariadb-connector-python/tags .*/refs/tags/v(\d[\d\.]+)\.tar\.gz

## mariadb-connector-python 1.1.14

=== debian/changelog ===
mariadb-connector-python (1.1.14-2) unstable; urgency=medium

  * Team upload.
  * Fix clean target.
  * Drop "Priority: optional" (default).
  * Update standards-version.

 -- Santiago Vila <sanvila@debian.org>  Wed, 21 Jan 2026 13:10:00 +0100

mariadb-connector-python (1.1.14-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Drop "Rules-Requires-Root: no", default as of dpkg-dev 1.22.13.

 -- Colin Watson <cjwatson@debian.org>  Mon, 24 Nov 2025 16:33:41 +0000

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,4 @@
 Source: mariadb-connector-python
-Priority: optional
 Section: python
 Testsuite: autopkgtest-pkg-pybuild
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
@@ -14,8 +13,7 @@
  , pybuild-plugin-pyproject
  , mariadb-server <!nocheck>
  , libmariadb-dev
-Standards-Version: 4.7.2
-Rules-Requires-Root: no
+Standards-Version: 4.7.3
 Vcs-Git: https://salsa.debian.org/python-team/packages/mariadb-connector-python.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/mariadb-connector-python
 Homepage: https://mariadb-corporation.github.io/mariadb-connector-python/
